/*****************************************************************************/
/* Begin system #includes */

#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include <errno.h>
#include <gtk/gtk.h>
#include <string.h>
#include <stdlib.h>
#include <signal.h>
#include <sys/types.h>
#include <sys/asoundlib.h>

/* End system #includes */
/*****************************************************************************/

/*****************************************************************************/
/* Begin program #includes */

#include "structs.h"
#include "util.h"
#include "xamixer.h"
#include "cinit.h"
#include "callbacks.h"
#include "display.h"

/* End program #includes */
/*****************************************************************************/

/*****************************************************************************/
/* Begin #defines */

#define CHANNEL_LEFT                  (1 << 0)
#define CHANNEL_RIGHT                 (1 << 1)
#define CHANNEL_MONO                  (1 << 2)
#define CHANNEL_MUTE_RIGHT            (1 << 3)
#define CHANNEL_MUTE_LEFT             (1 << 4)
#define CHANNEL_MUTE_MONO             (1 << 5)
#define CHANNEL_RECORD                (1 << 6)
#define CHANNEL_SIMULTANEOUS          (1 << 7)

/* End #defines */
/*****************************************************************************/











