/*****************************************************************************/
/* Begin struct definitions */

struct _Channel
{
  int num; /* The channel's number */
  snd_mixer_channel_t data; /* the data */
  snd_mixer_channel_info_t info; /* The info */
  unsigned int flags; /* The Channel's flags */
  GtkWidget *lm, *rm, *mm, *rec; /* The associated widgets */
  GtkObject *ladj, *radj, *madj; /* The associated objects */
};
typedef struct _Channel Channel;

struct _Card
{
  int number; /* The card's number */
  void *handle; /* The handle for the mixer */
  snd_mixer_info_t info; /* The info for the mixer */
  int cnum; /* The number of channels present */
  Channel *channel; /* A dynamic array of all the channels */
  char name[80]; /* The name of the card or mixer */
};
typedef struct _Card Card;

struct _CardInfo
{
  Card *card; /* Which card */
  int channel; /* Which channel */
  unsigned int flags; /* flags */
  Channel *chan; /* A pointer to the channel data */
  GtkWidget *other; /* The other range widget */
};
typedef struct _CardInfo CardInfo;








/* End struct definitions */
/*****************************************************************************/
